# kodi-autoplay

Esegui comandi python automaticamente all'avvio di Kodi.

## Istruzioni ##

* Su LibreELEC, spostare l'intera cartella `service.autoexec` nella cartella
degli addon nella cartella dati di Kodi (solitamente `~/.kodi`, quindi
`~/.kodi/addons`);
* Andare nella parte degli addon e abilitare il plugin "Autoexec Service":
    Addon > I miei add-on > Servizi > Autoexec Service > Abilita
* Se non si dovesse trovare l'addon, riavviare l'istanza.

### Video in rotazione ###

Spostare tutti i filmati necessari per la riproduzione in `Movies`.

Nella cartella `~/.kodi/addons/service.autoexec`, linkare lo script
`movies.py` come `autoexec.py`:

```bash
cd ~/.kodi/addons/service.autoexec
ln -sf movies.py autoexec.py
```

Modificare lo script per puntare al file (o ai file) necessari.

### Slideshow automatica ###

Creare una cartella con le immagini di cui creare lo slideshow (per esempio,
`/home/osmc/Pictures`).

Nella cartella `~/.kodi/addons/service.autoexec`, linkare lo script
`movies.py` come `autoexec.py`:

```bash
cd ~/.kodi/addons/service.autoexec
ln -sf slideshow.py autoexec.py
```

Modifica lo script cambiando la variabile `path` al percorso con le immagini:

```python
path = '/home/osmc/Pictures'
```

### Documentazione ###

* [Autoexec Service](https://kodi.wiki/view/Autoexec_Service) sulla wiki Kodi
